## keepalived 1.1.17

=== keepalived/libipfwc/Makefile ===
# Makefile to make libipfwc.

CC	= gcc
CFLAGS	= -g -O2 -Wall -Wunused

export OBJS += libipfwc.a

all: libipfwc.a

libipfwc.a: libipfwc.a(libipfwc.o)

libipfwc.o: libipfwc.h ipfwc_kernel_headers.h

clean:
	rm -f *.a *.o *~

distclean: clean
	rm -f Makefile

## keepalived 1.2.2

=== keepalived/libipvs-2.6/Makefile ===
# Makefile for libipvs

CC		= gcc
CFLAGS		= -g -O2  -I/usr/src/linux/include -DLIBIPVS_USE_NL -Wall -Wunused

export OBJS += libipvs.a

STATIC_LIB	= libipvs.a

all:		$(STATIC_LIB)

$(STATIC_LIB):	libipvs.o ip_vs_nl_policy.o
		ar rv $@ $^
		rm $^

%.o:		%.c
		$(CC) $(CFLAGS) -c -o $@ $<

clean:
		rm -f *.[ao] *~ *.orig *.rej core

distclean:	clean

## keepalived 1.2.7

=== debian/changelog ===
keepalived (1:1.2.7-1ubuntu1) saucy; urgency=low

  * Merge with Debian unstable (LP: #1183300). Remaining changes:
    - debian/init.d: init script header adapted to stop rule
    - debian/keepalived.postinst: Remove shutdown and reboot links
    - Build with libnl3, thanks to a patch from Marc - A. Dahlhaus.
    - debian/control: in Build-Depends: libnl3-dev -> libnl-3-dev,
      libnl-genl-3-dev.
    - debian/patches/ubuntu_libnl3.patch: update patch, make sure it works for
      libnl3 3.2.x.
  * debian/rules: DEB_UPDATE_RCD_PARAMS := explicit init start/stop
    parameters (don't stop at 0 and 6)
    Remove this change since cdbs is not used any longer

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 12 Aug 2013 16:32:32 -0400

keepalived (1:1.2.7-1) unstable; urgency=low

  * [b46efb0] Imported Upstream version 1.2.7
    - Don't use bind() with AF_UNSPEC
      (Closes: #699540)
    - new upstream version (Closes: #703085) 
  * [6058efd] wrap-and-sort
  * [a128718] Build with snmp support
  * [d9783f9] Remove obsolete patches
  * [2deaa4e] Move to dh and 3.0(quilt)
  * [cd5a314] Use libnl3 (Closes: #688164)
  * [d6493e1] Convert package to dh and quilt(3.0)
  * [e7f5489] Bump dh compat to dh9
  * [f6ca92d] Bump standards version
  * [525415b] Fix errors in manpage
  * [35dbfe3] Remove unneeded files

 -- Alexander Wirt <formorer@debian.org>  Mon, 01 Jul 2013 22:02:02 +0200

keepalived (1:1.2.6-1) experimental; urgency=low

  * [b72cd7a] Remove obsolete patches
  * [0cadef0] Enable snmp support
  * [7442e85] Build-depend against libsnmp-dev
  * [b84e381] Imported Upstream version 1.2.4
  * [9f29e62] Imported Upstream version 1.2.6

 -- Alexander Wirt <formorer@debian.org>  Tue, 21 Aug 2012 18:14:42 +0200

keepalived (1:1.2.2-3ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 09:18:58 +0100

keepalived (1:1.2.2-3ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: DEB_UPDATE_RCD_PARAMS := explicit init start/stop
      parameters (don't stop at 0 and 6)
    - debian/init.d: init script header adapted to stop rule
    - debian/keepalived.postinst: Remove shutdown and reboot links
    - Build with libnl3, thanks to a patch from Marc - A. Dahlhaus.
  * debian/control: in Build-Depends: libnl3-dev -> libnl-3-dev,
    libnl-genl-3-dev.
  * debian/patches/ubuntu_libnl3.patch: update patch, make sure it works for
    libnl3 3.2.x.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 23 Dec 2011 09:18:50 -0500

keepalived (1:1.2.2-3) unstable; urgency=low

  * [c28d5f0] Readd ip_vs.h - this reenables ipvs (Closes: #649778)

 -- Alexander Wirt <formorer@debian.org>  Sun, 18 Dec 2011 16:18:06 +0100

keepalived (1:1.2.2-2ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/rules: DEB_UPDATE_RCD_PARAMS := explicit init start/stop
      parameters (don't stop at 0 and 6)
    - debian/init.d: init script header adapted to stop rule
    - debian/keepalived.postinst: Remove shutdown and reboot links
    - Build with libnl3, thanks to a patch from Marc - A. Dahlhaus.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Nov 2011 15:48:05 +0000

keepalived (1:1.2.2-2) unstable; urgency=low

  * [9db4134] Fix override disparity
  * [8f0c721] Remove obsolete patch
  * [897c0a0] Set correct permissions on pid file.
    This is a fix for CVE-2011-1784.
    (Closes: #626281)
  * [5ab4b8d] Don't use modprobe -k.
    Thanks to Sven Ulland for the patch
  * [c87fe40] Add vcs headers to control file
  * [8107104] Bump standards version - no changes

 -- Alexander Wirt <formorer@debian.org>  Thu, 10 Nov 2011 08:38:47 +0100

keepalived (1:1.2.2-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/rules: DEB_UPDATE_RCD_PARAMS := explicit init start/stop
      parameters (don't stop at 0 and 6)
    - debian/init.d: init script header adapted to stop rule
    - debian/keepalived.postinst: Remove shutdown and reboot links
  * Build with libnl3, thanks to a patch from Marc - A. Dahlhaus.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2011 16:10:58 +0100

keepalived (1:1.2.2-1) unstable; urgency=low

  * New upstream version
  * Don't remove configure in clean target
  * Refresh 95_use_linux_ip_vs_h.patch for 1.2
  * Build depend on libnl-dev

 -- Alexander Wirt <formorer@debian.org>  Sun, 06 Mar 2011 17:43:35 +0100

keepalived (1:1.1.20-1ubuntu2) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:32:05 +0100

keepalived (1:1.1.20-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #668818), remaining changes:
    - debian/rules: DEB_UPDATE_RCD_PARAMS := expicit init start/stop
      parameters (don't stop at 0 and 6)
    - debian/init.d: init script header adapted to stop rule
    - debian/keepalived.postinst: Remove shutdown and reboot links

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sat, 30 Oct 2010 20:01:07 +0200

keepalived (1:1.1.20-1) unstable; urgency=low

  * Go back to 1.1.20 since 1.2.0 is not ready for release
  * Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Sat, 14 Aug 2010 10:17:10 +0200

keepalived (1.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #580607)
  * Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Sun, 04 Jul 2010 11:02:13 +0200

keepalived (1.1.20-1) unstable; urgency=low

  * New upstream release (Closes: #580607)
  * Bump standards version (no changes)
  * Raise debhelper dep to v5
  * Refresh 95_use_linux_ip_vs_h.patch
  * Fix typo in description
  * Declare debsource v1.0
  * Fix restart if daemon doesn't run (Closes: #561357)

 -- Alexander Wirt <formorer@debian.org>  Sat, 08 May 2010 20:56:58 +0200

keepalived (1.1.19-1) unstable; urgency=low

  * New upstream version (Closes: #557814, #548254)


=== debian/control ===
Source: keepalived
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
Build-Depends: autoconf,
               debhelper (>= 9),
               libnl-3-dev,
               libnl-genl-3-dev,
               libpopt-dev,
               libsnmp-dev,
               libssl-dev,
               linux-libc-dev,
               dh-autoreconf
Standards-Version: 3.9.4
Vcs-Browser: https://github.com/formorer/pkg-keepalived
Vcs-Git: git://github.com/formorer/pkg-keepalived.git

Package: keepalived
Section: admin
Architecture: any
Depends: iproute, ipvsadm, ${misc:Depends}, ${shlibs:Depends}
Description: Failover and monitoring daemon for LVS clusters
 keepalived is used for monitoring real servers within a Linux
 Virtual Server (LVS) cluster.  keepalived can be configured to
 remove real servers from the cluster pool if it stops responding,
 as well as send a notification email to make the admin aware of
 the service failure.
 .
 In addition, keepalived implements an independent Virtual Router
 Redundancy Protocol (VRRPv2; see rfc2338 for additional info)
 framework for director failover.
 .
 You need a kernel >= 2.4.28 or >= 2.6.11 for keepalived.
 See README.Debian for more information.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/keepalived/etc/keepalived/samples/
	rm -rf debian/keepalived/etc/rc.d
	rm -rf debian/keepalived/etc/keepalived/keepalived.conf
	rm -rf debian/keepalived/etc/sysconfig
	rm -rf debian/keepalived/usr/man

## keepalived 1.2.13

=== debian/changelog ===
keepalived (1:1.2.13-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1481050)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 01 Nov 2015 14:16:46 -0600

keepalived (1:1.2.13-1) unstable; urgency=medium

  * [1e9c32b] Imported Upstream version 1.2.11
  * [bac64d6] Imported Upstream version 1.2.13
    - keep retry in case of early TCP failures in checks
      (Closes: #626466 #504069)
    - Add To header for SMTP alerts. 
      (Closes: #627169)
    - handle passwords up to 8 characters
      (Closes: #614562)
    - modprobe handling fixed
      (Closes: #714377)
    - Support more than 31 interfaces
      (Closes: #723106)
    - Fix ipv6 realserver handling
      (Closes: #740258)
    - extend ip parser to support default and default6
      (Closes: #740573)

  * [65d5b11] Add pkg-config to build-deps
  * [af497e7] Disable obsolete patches
  * [4761254] Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Wed, 28 May 2014 09:01:38 +0200

keepalived (1:1.2.9-1) unstable; urgency=low

  * [8cd7bad] Imported Upstream version 1.2.9

 -- Alexander Wirt <formorer@debian.org>  Mon, 11 Nov 2013 22:45:58 +0100

keepalived (1:1.2.8-1) unstable; urgency=low

  * [b25f231] Patch configure.in instead of configure
  * [aa70432] Fix configure
  * [3a728cd] Enable sha1 support
  * [e257779] Add Homepage field
  * Allow providing of daemon args via /etc/defaul/keepalived
    Closes: #693877
  * Import upstream version 1.2.8 (Closes: #721966)
    - Fix reload handling (Closes: #652260)

 -- Alexander Wirt <formorer@debian.org>  Fri, 13 Sep 2013 08:54:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: keepalived
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
                debhelper (>= 9),
                libnl-3-dev,
@@ -11,10 +10,12 @@
                libsnmp-dev,
                libssl-dev,
                linux-libc-dev,
-               dh-autoreconf
-Standards-Version: 3.9.4
+               dh-autoreconf,
+               pkg-config
+Standards-Version: 3.9.5
 Vcs-Browser: https://github.com/formorer/pkg-keepalived
 Vcs-Git: git://github.com/formorer/pkg-keepalived.git
+Homepage: http://keepalived.org
 
 Package: keepalived
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh  $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp
+	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1
 
 override_dh_auto_install:
 	dh_auto_install

## keepalived 1.2.19

=== debian/changelog ===
keepalived (1:1.2.19-1) unstable; urgency=medium

  * [3594525] Imported Upstream version 1.2.19

 -- Alexander Wirt <formorer@debian.org>  Sat, 15 Aug 2015 15:18:41 +0200

keepalived (1:1.2.16-1) experimental; urgency=medium

  * [3cc1f17] Depend on ipvsadm2 instead of ipvsadm
  * [e09b760] Move ipvsadm to recommends 
              (Closes: #755771)
  * [afa7293] Imported Upstream version 1.2.16
  * [e86c672] Add systemd unitfile (Closes: #779347)
  * [81fac5f] Remove syslog dependency in service file
  * [40a44f0] Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Tue, 31 Mar 2015 17:52:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
                debhelper (>= 9),
+               dh-systemd (>= 1.3),
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,
@@ -12,7 +13,7 @@
                linux-libc-dev,
                dh-autoreconf,
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: https://github.com/formorer/pkg-keepalived
 Vcs-Git: git://github.com/formorer/pkg-keepalived.git
 Homepage: http://keepalived.org
@@ -20,7 +21,8 @@
 Package: keepalived
 Section: admin
 Architecture: any
-Depends: iproute, ipvsadm, ${misc:Depends}, ${shlibs:Depends}
+Depends: iproute2, ${misc:Depends}, ${shlibs:Depends}
+Recommends: ipvsadm
 Description: Failover and monitoring daemon for LVS clusters
  keepalived is used for monitoring real servers within a Linux
  Virtual Server (LVS) cluster.  keepalived can be configured to

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_OPTIONS=-v
 
 %:
-	dh  $@ --with autoreconf
+	dh  $@ --with autoreconf --with=systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1

=== debian/watch ===
version=3
http://www.keepalived.org/software/keepalived-(.*).tar.gz

## keepalived 1.2.23

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Keepalived.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Keepalived.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Keepalived"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Keepalived"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
keepalived (1:1.2.23-1ubuntu0.1) yakkety; urgency=medium

  * debian/patches/fix_message_truncation_with_large_pagesizes.patch:
    Resolve "Netlink: error: message truncated" messages.  Thanks to
    David Wilder <dwilder@us.ibm.com>.  Closes LP: #1642763.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 29 Nov 2016 10:00:52 -0800

keepalived (1:1.2.23-1) unstable; urgency=medium

  * [94beb84] Imported Upstream version 1.2.23
    (Closes: #821941)
    - fix some segfaults (Closes: #830955)

 -- Alexander Wirt <formorer@debian.org>  Thu, 21 Jul 2016 10:12:06 +0200

keepalived (1:1.2.20-1) unstable; urgency=medium

  * [2a22d69] Imported Upstream version 1.2.20
    enable support for:
     - nfnetlink
     - ipset
     - iptc
     - snmp rfcv2 and rfcv3 

 -- Alexander Wirt <alexander.wirt@credativ.de>  Tue, 17 May 2016 13:25:05 +0200

## keepalived 1.2.24

=== debian/changelog ===
keepalived (1:1.2.24-1ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: heap-based overflow in HTTP status codes parsing
    - debian/patches/CVE-2018-19115.patch: refactor parsing in lib/html.c.
    - CVE-2018-19115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Feb 2019 11:01:38 -0500

keepalived (1:1.2.24-1ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream version for Ubuntu 16.04 (LP: #1783583).
  * d/p/fix_message_truncation_with_large_pagesizes.patch: Rebased.
  * d/p/fix-removing-left-over-addresses-if-keepalived-abort.patch:
    Cherry-picked from upstream to ensure left-over VIPs and eVIPs are
    properly removed on restart if keepalived terminates abonormally. This
    fix is from the upstream 1.4.0 release (LP: #1744062).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 10:52:54 -0400

keepalived (1:1.2.24-1) unstable; urgency=medium

  * [d378a6f] New upstream version 1.2.24

 -- Alexander Wirt <formorer@debian.org>  Sat, 19 Nov 2016 08:20:39 +0100

keepalived (1:1.2.19-1ubuntu0.2) xenial; urgency=medium

  * Add PIDFile to avoid misdetection of MainPID on restart (LP: #1644530).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 13 Mar 2017 13:23:47 +0100

keepalived (1:1.2.19-1ubuntu0.1) xenial; urgency=medium

  * debian/patches/fix_message_truncation_with_large_pagesizes.patch:
    Resolve "Netlink: error: message truncated" messages.  Thanks to
    David Wilder <dwilder@us.ibm.com>.  Closes LP: #1642763.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 29 Nov 2016 10:31:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: keepalived
 Section: admin
 Priority: extra
-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
                debhelper (>= 9),
                dh-systemd (>= 1.3),
@@ -10,6 +11,10 @@
                libpopt-dev,
                libsnmp-dev,
                libssl-dev,
+               libnl-nf-3-dev,
+               libnfnetlink-dev,
+               libipset-dev,
+               iptables-dev,
                linux-libc-dev,
                dh-autoreconf,
                pkg-config

## keepalived 1.3.2

=== debian/changelog ===
keepalived (1:1.3.2-1) unstable; urgency=medium

  * [488ee92] New upstream version 1.3.2

 -- Alexander Wirt <formorer@debian.org>  Sat, 03 Dec 2016 22:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: keepalived
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
                debhelper (>= 9),
                dh-systemd (>= 1.3),

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	dh  $@ --with autoreconf --with=systemd
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1
+	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3
+
 
 override_dh_auto_install:
 	dh_auto_install

## keepalived 1.3.9

=== debian/changelog ===
keepalived (1:1.3.9-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:22:09 +0000

keepalived (1:1.3.9-1) unstable; urgency=medium

  * [e95b710] New upstream version 1.3.9
    - Fix netlink error message truncated problems
      (Closes: #846292)
  * [0547153] New upstream version 1.3.5
  * [4cf471c] Bump standards version
  * [2dfa271] New upstream version 1.3.6 (Closes: #872331)
    - Fix strange pid handling on restart
      (Closes: #860527)
  * [d1ddcaf] Enable dbus interface (Closes: #873803)
  * [9a969d1] Adapt some changes from the upstream service file
    (Closes: #857618)

 -- Alexander Wirt <alexander.wirt@credativ.de>  Thu, 16 Nov 2017 09:23:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: keepalived
 Section: admin
 Priority: extra
-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
                debhelper (>= 9),
                dh-systemd (>= 1.3),
+               libglib2.0-dev,
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,
@@ -17,7 +19,7 @@
                linux-libc-dev,
                dh-autoreconf,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://github.com/formorer/pkg-keepalived
 Vcs-Git: git://github.com/formorer/pkg-keepalived.git
 Homepage: http://keepalived.org

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh  $@ --with autoreconf --with=systemd
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3
+	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus
 
 
 override_dh_auto_install:

## keepalived 2.0.10

=== debian/changelog ===
keepalived (1:2.0.10-1) unstable; urgency=high

  * [3b99bf9] Update vcs headers to salsa
  * [f697779] New upstream version 2.0.2
  * [c97cc19] Enable dbus instance and json output support
  * [27c6d55] syslog is now socket activated
  * [7e2267b] Move to dh11
  * [d0bf9db] there is not systemd sequence in dh11
  * [903a5a0] dh-autoreconf dep is not needed anymore with dh11
  * [c4996bd] Priority extra got replaced by optional
  * [822da17] Remove obsolete patches
  * [1c36cdc] New upstream version 2.0.10
    - Fix overflow in extract_status_code (CVE-2018-19115)
      Closes: #914393, #900260
    - Improve garp refresh handling (Closes: #810347)
    - Improve config parser (Closes: #909697)
  * [990c014] Improve keepalived service (Closes: #902978, #830196)


 -- Alexander Wirt <formorer@debian.org>  Fri, 30 Nov 2018 21:20:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: keepalived
 Section: admin
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
+Priority: optional
+Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 9),
-               dh-systemd (>= 1.3),
+               debhelper (>= 11),
                libglib2.0-dev,
+               libjson-c-dev,
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,
@@ -17,11 +16,10 @@
                libipset-dev,
                iptables-dev,
                linux-libc-dev,
-               dh-autoreconf,
                pkg-config
 Standards-Version: 4.0.0
-Vcs-Browser: https://github.com/formorer/pkg-keepalived
-Vcs-Git: git://github.com/formorer/pkg-keepalived.git
+Vcs-Browser: https://salsa.debian.org/ipvs-team/pkg-keepalived
+Vcs-Git: https://salsa.debian.org/ipvs-team/pkg-keepalived.git
 Homepage: http://keepalived.org
 
 Package: keepalived

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 #export DH_OPTIONS=-v
 
 %:
-	dh  $@ --with autoreconf --with=systemd
+	dh  $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus
+	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus --enable-dbus-create-instance --enable-json --enable-bfd
 
 
 override_dh_auto_install:

## keepalived 2.0.19

=== debian/changelog ===
keepalived (1:2.0.19-1build1) xenial; urgency=medium

  * Repackage for xenial

 -- Vincent Legoll <vincent.legoll@openio.io>  Tue, 18 Jan 2020 10:31:42 +0000

keepalived (1:2.0.19-1build1) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:49 +0000

keepalived (1:2.0.19-1) unstable; urgency=medium

  * [3e69686] New upstream version 2.0.19 (Closes: #947472)
    - fixes execution of scripts with /bin/sh (Closes: #931617)
    - fixes configuration parsing for SMTP sections (Closes: #859142)
    - fixes stuck in receive queue (Closes: #942182)
    - close netlink in checker (Closes: #775868)
    - fix infinite loop when tracker script times out (Closes: #940036)
    - fix loading of libipset (Closes: #878241)
  * [6a81734] Move to debhelper(-compat) 12
  * [02d9f5d] Bump standards version
  * [239c70f] Fix location of the ip_vs header file
  * [495b6e5] Disable dbus create instance feature
  * [ec5c22c] Enable iptc support

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Jan 2020 18:45:43 +0100

keepalived (1:2.0.10-1) unstable; urgency=medium

  * [3b99bf9] Update vcs headers to salsa
  * [f697779] New upstream version 2.0.2
  * [c97cc19] Enable dbus instance and json output support
  * [27c6d55] syslog is now socket activated
  * [7e2267b] Move to dh11
  * [d0bf9db] there is not systemd sequence in dh11
  * [903a5a0] dh-autoreconf dep is not needed anymore with dh11
  * [c4996bd] Priority extra got replaced by optional
  * [822da17] Remove obsolete patches
  * [1c36cdc] New upstream version 2.0.10
    - Fix overflow in extract_status_code (CVE-2018-19115)
      Closes: #914393, #900260
    - Improve garp refresh handling (Closes: #810347)
    - Improve config parser (Closes: #909697)
  * [990c014] Improve keepalived service (Closes: #902978, #830196)


 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Jan 2020 18:21:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
                libssl-dev,
                libnl-nf-3-dev,
                libnfnetlink-dev,
+               libnftnl-dev,
                libipset-dev,
                iptables-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/ipvs-team/pkg-keepalived
 Vcs-Git: https://salsa.debian.org/ipvs-team/pkg-keepalived.git
 Homepage: http://keepalived.org
@@ -26,6 +27,7 @@
 Section: admin
 Architecture: any
 Depends: iproute2, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: ipvsadm
 Description: Failover and monitoring daemon for LVS clusters
  keepalived is used for monitoring real servers within a Linux

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh  $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus --enable-dbus-create-instance --enable-json --enable-bfd
+	dh_auto_configure -- --with-kernel-dir=debian/  --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus --enable-json --enable-bfd
 
 
 override_dh_auto_install:

## keepalived 2.1.5

=== debian/changelog ===
keepalived (1:2.1.5-0.2ubuntu1.1) impish-security; urgency=medium

  * SECURITY UPDATE: Access-control bypass
    - debian/patches/CVE-2021-44225.patch: fix policy to not
      be overly broad in dbus/org.keepalived.Vrrp1.conf.
    - CVE-2021-44225

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 02 Dec 2021 10:41:12 -0300

keepalived (1:2.1.5-0.2ubuntu1) impish; urgency=medium

  * d/p/0001-core-Fix-compiling-on-RHEL-9.patch: Fix FTBFS when
    compiling with Linux 5.13/glibc 2.34 headers. (LP: #1939705)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 11 Aug 2021 20:10:58 -0400

keepalived (1:2.1.5-0.2build2) hirsute; urgency=medium

  * No-change upload to build against net-snmp on armhf.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 20:05:59 -0500

keepalived (1:2.1.5-0.2build1) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 11:23:15 -0500

keepalived (1:2.1.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * [17cfc9a] d/control:
    - Add B-depends: libpcre2-dev

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 12 Oct 2020 17:45:14 +0200

keepalived (1:2.1.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [efada46] New upstream version 2.1.5 (Closes: #964855)
    - fixes segfault when SMTP notifications are enabled (Closes: #958898)
  * [0f2ffa3] Fix d/watch: 403 Forbidden

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 07 Oct 2020 16:54:33 +0200

keepalived (1:2.0.19-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Drop build-depends on iptables-dev (Closes: #946150).

 -- Alexander Wirt <formorer@debian.org>  Thu, 20 Feb 2020 12:16:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: keepalived
 Section: admin
 Priority: optional
-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 11),
+               debhelper-compat (=12),
                libglib2.0-dev,
                libjson-c-dev,
                libnl-3-dev,
                libnl-genl-3-dev,
+               libpcre2-dev,
                libpopt-dev,
                libsnmp-dev,
                libssl-dev,
                libnl-nf-3-dev,
                libnfnetlink-dev,
-               libnftnl-dev,
+	       libnftnl-dev,
                libipset-dev,
-               iptables-dev,
+	       libip4tc-dev,
                linux-libc-dev,
                pkg-config
 Standards-Version: 4.4.1
